Retrieves the equipment_brand object with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
equipment_brand| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| name |
Name of the equipment brand |
string |
Required Max length: 50 |
| code |
The Id/Ref of the back office. Used by Embedded entity |
string |
Max length: 50 |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating company_type |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating company_type |
sales_organization | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "4f21c3d5-be0d-42bc-8c55-e4bd78ed6362",
"name": "sample string 2",
"code": "sample string 3",
"sales_organization_id": "f98255e6-b69d-4e8a-a45b-29980a3a4337",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "01f3b75e-8e1b-484a-99fb-12c2efdf894d",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "d81cd62e-76de-4509-bf19-91acb73ea0a4",
"db_currency_id": "3db2738e-8139-47c7-8fb7-1238fbfcc1f9",
"db_language_id": "3f81927b-c496-43af-84e7-8488adc88144",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-28T21:44:23.1587318+00:00"
},
"modified_dateutc": "2026-10-28T21:44:23.1587318+00:00"
}